' This VBScript source takes a filename in the following format:
'	yyyyMMddhhmmss.ext
' Parses the portions of the date & time and presents them to TouchCmd
'
' Example Usage:

'	cscript fname.vbs 19580513010203.jpg
'
' Copyright JD Design 2011

Dim fso
set fso = CreateObject( "Scripting.FileSystemObject" )

'1'st parameter is a file name
Dim filespec
filespec = WScript.Arguments(0)

dim fname
fname = fso.GetFileName( filespec )

'WScript.Echo "fname is: " & fname

Dim sYear
Dim sMonth
Dim sDate
Dim sHour
Dim sMin
Dim sSec

sYear = Mid( fname, 1, 4 )
sMonth = Mid( fname, 5, 2 )
sDate = Mid( fname, 7, 2 )
sHour = Mid( fname, 9, 2 )
sMin = Mid( fname, 11, 2 )
sSec = Mid( fname, 13, 2 )

'WScript.Echo sYear & "\" & sMonth & "\" & sDate & "   " & sHour & ":" & sMin & ":" & sSec


	'Execute TouchCmd to touch the folder
	Dim WshShell
	Set WshShell = WScript.CreateObject("WScript.Shell")

	dim progname
	'Add quotes around the path to TouchCmd
	progname = chr(34) & WshShell.ExpandEnvironmentStrings("%programfiles%\JD Design\TouchPro\TouchCmd.exe") & chr(34)
'	WScript.Echo "progname: " & progname
	dim params
	params = "/D" & sDate & "/" & sMonth &  "/" & sYear
	params = params & " /T" & sHour & ":" & sMin & ":" & sSec
	params = params & " /M /C /F " & chr(34) & filespec & chr(34)
	progname = progname & " " & params
	Wscript.echo progname
	WshShell.Run progname, , true

stop

